import { LiveStreamPlayer } from "./LiveStreamPlayer";
import { AbstractUiComponent } from "../AbstractUiComponent";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiHttpLiveStreamPlayerConfig } from "../../generated/UiHttpLiveStreamPlayerConfig";
export declare class UiHttpLiveStreamPlayer extends AbstractUiComponent<UiHttpLiveStreamPlayerConfig> implements LiveStreamPlayer {
    private $main;
    private $videoContainer;
    private $notSupportedMessage;
    private video;
    private url;
    private shouldBePlayingUnlessUserPressedPause;
    private $spinnerContainer;
    private resetTimer;
    constructor(config: UiHttpLiveStreamPlayerConfig, context: TeamAppsUiContext);
    isHlsSupported(): boolean;
    play(url: string): void;
    private retryPlaying;
    stop(): void;
    isPlaying(): boolean;
    setVolume(volume: number): void;
    private updateState;
    private isActuallyReadyToPlay;
    private failed;
    doGetMainElement(): HTMLElement;
    destroy(): void;
}
